Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coingecko.com/api/v3/onchain/networks \ --header 'x-cg-demo-api-key: <api-key>'
{ "data": [ { "id": "eth", "type": "network", "attributes": { "name": "Ethereum", "coingecko_asset_platform_id": "ethereum" } }, { "id": "bsc", "type": "network", "attributes": { "name": "BNB Chain", "coingecko_asset_platform_id": "binance-smart-chain" } } ] }
To retrieve a list of all supported networks on GeckoTerminal
network
const response = await client.onchain.networks.get(); console.log(JSON.stringify(response, null, 2));
Page through results. Default value: 1
List of supported networks
Show child attributes
Was this page helpful?